#!/usr/bin/env python
# -*- coding: utf-8 -*-


"""
Napisz funkcję euclidean_distance obliczającą odległość między
dwoma punktami przestrzeni trójwymiarowej. Punkty są dane jako
trzyelementowe listy liczb zmiennoprzecinkowych.
np. odległość pomiędzy punktami (0, 0, 0) i (3, 4, 0) jest równa 5.
"""
from math import *
def euclidean_distance(x, y):

    a = int(x[0])
    b = x[1]
    c = x[2]
    d = int(y[0])
    e = y[1]
    f = y[2]
    wartosc =((d-a)**2)+((e-b)**2)+((f-c)**2)
    return fabs(sqrt(wartosc))

def tests(f):
    inputs = [[(2.3, 4.3, -7.5), (2.3, 8.5, -7.5)]]
    outputs = [4.2]

    for input, output in zip(inputs, outputs):
        if f(*input) != output:
            return "ERROR: {}!={}".format(f(*input), output)
            break
    return "TESTS PASSED"

if __name__ == "__main__":
    print(tests(euclidean_distance))
